xssl_write(3)

NAME
xssl_write - API function

SYNOPSIS
#include <gnutls/xssl.h>

ssize_t xssl_write(xssl_t sb, const void * data, size_t data_size);

ARGUMENTS

xssl_t sb
    is a xssl_t structure.

const void * data
    contains the data to send

size_t data_size
    is the length of the data

DESCRIPTION
This function is the buffered equivalent of gnutls_record_send(). Instead of sending the data immediately the data are buffered until xssl_queue() is called, or if the flag GNUTLS_SBUF_WRITE_FLUSHES is set, until the number of bytes for a full record is reached. This function must only be used with blocking sockets.

RETURNS
On success, the number of bytes written is returned, otherwise an error code is returned.

SINCE
3.1.7

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/